GET api/PatientRelationships?externalId={externalId}
Gets information about a patient relationship.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Patient Relationship's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
PatientRelationshipModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the relationship. |
string |
None. |
| SortOrder |
Indicates the sort order of this patient relationship in the list. |
integer |
None. |
| IsDefault |
Indicates if this relationship is the default or not. |
boolean |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"sortOrder": 2,
"isDefault": true,
"id": "e19f50a9-f39e-484f-88ce-812fef9f5272",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<PatientRelationshipModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientRelationships"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">e19f50a9-f39e-484f-88ce-812fef9f5272</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>2</SortOrder> </PatientRelationshipModel>